## sfcgal 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8 )
project( SFCGAL )

set( CMAKE_DEBUG_POSTFIX "d" )

#----------------------------------------------------------------------------
# build options
#----------------------------------------------------------------------------
# Set a default build type if none was specified
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to 'Release' as none was specified.")
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "RelWithDebInfo")
endif()

option( SFCGAL_BUILD_EXAMPLES "build examples" OFF )
option( SFCGAL_BUILD_TESTS "build unit, garden and regress tests" OFF )
option( SFCGAL_BUILD_BENCH "Build benchmarks" OFF )
option( SFCGAL_BUILD_VIEWER "build viewer and OpenSceneGraph support (outputs in 3D formats)" OFF )

#-- include finders and co
set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules;${CMAKE_MODULE_PATH}" )

set( SFCGAL_VERSION_MAJOR 1 )
set( SFCGAL_VERSION_MINOR 1 )
set( SFCGAL_VERSION_PATCH 0 )

set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )

# disabled for 1.0
#include( PrecompiledHeader )
#option( Use_precompiled_headers "Use precompiled headers" OFF )

include( Libtoolize )

#-----------------------------------------------------------
# dependencies
#-----------------------------------------------------------

#-- BOOST --------------------------------------------------
option( Boost_USE_AUTO_LINK "boost use autolink" OFF )
if( NOT ${Boost_USE_AUTO_LINK} )
	add_definitions( "-DBOOST_ALL_NO_LIB" )
endif()

option( Boost_USE_STATIC_LIBS "boost use dynamic libraries" OFF )
if( Boost_USE_STATIC_LIBS )
	message( STATUS "Boost_USE_STATIC_LIBS=ON" )
	add_definitions( "-DBOOST_THREAD_USE_LIB" )
else()
	message( STATUS "Boost_USE_STATIC_LIBS=OFF" )
#	add_definitions( "-DBOOST_TEST_DYN_LINK" )
	add_definitions( "-DBOOST_ALL_DYN_LINK" )
endif()

option( Boost_USE_MULTITHREAD "boost use multithread libraries" ON )
if( ${Boost_USE_MULTITHREAD} )
	message( STATUS "Boost_USE_MULTITHREAD=ON" )
else()
	message( STATUS "Boost_USE_MULTITHREAD=OFF" )
endif()

#-- minimalist build allowed with boost version older than 1.48
set( SFCGAL_Boost_COMPONENTS date_time thread system serialization )
#-- unit test
if ( SFCGAL_BUILD_TESTS )
	set( SFCGAL_Boost_COMPONENTS unit_test_framework program_options ${SFCGAL_Boost_COMPONENTS} )
endif()
#-- program_options
if ( SFCGAL_BUILD_TESTS OR SFCGAL_BUILD_EXAMPLES OR SFCGAL_BUILD_OSG OR SFCGAL_BUILD_VIEWER )
	set( SFCGAL_Boost_COMPONENTS program_options chrono filesystem timer ${SFCGAL_Boost_COMPONENTS} )
endif()
find_package( Boost COMPONENTS ${SFCGAL_Boost_COMPONENTS} REQUIRED )


#-- GMP (facultative)  -------------------------------------
find_package( GMP )
if( ${GMP_FOUND} )
	message( STATUS "GMP_INCLUDE_DIRS = ${GMP_INCLUDE_DIRS}" )
	message( STATUS "GMP_LIBRARIES = ${GMP_LIBRARIES}" )
	set( SFCGAL_WITH_GMP ON )
endif()



#-- MPFR (needs GMP)  --------------------------------------
if( ${GMP_FOUND} )
	find_package( MPFR )
	if( ${MPFR_FOUND} )
		message( STATUS "MPFR_INCLUDE_DIRS = ${MPFR_INCLUDE_DIRS}" )
		message( STATUS "MPFR_LIBRARIES = ${MPFR_LIBRARIES}" )
		set( SFCGAL_WITH_MPFR ON )
	endif()
endif()

if( NOT ${GMP_FOUND} OR NOT ${MPFR_FOUND} )
	message( WARNING "can't find GMP and MPFR, using default kernel" ) 
	set( EPLU_USE_CARTESIAN_KERNEL ON )
endif()


#-- find CGAL  ---------------------------------------------
option( CGAL_USE_AUTOLINK "disable CGAL autolink" OFF )
if( ${CGAL_USE_AUTOLINK} )
	add_definitions( "-DCGAL_NO_AUTOLINK" )
endif()

find_package( CGAL 4.1 COMPONENTS Core REQUIRED )
message( STATUS "CGAL ${CGAL_VERSION} found" )

include_directories( ${CMAKE_BINARY_DIR}/include )

# For CGAL versions < 4.3, we add a local directory that contains some tweaked include files from unreleased versions
# They will overwrite files from the CGAL installation
if( "${CGAL_VERSION}" VERSION_LESS "4.3" )
  include_directories( patches/CGAL-4.2 )
else()
  include_directories( patches/CGAL-4.3 )
  add_definitions( "-DCGAL_INTERSECTION_VERSION=1" )
endif()

#-- note that SYSTEM turns -I/path to -isystem and avoid warnings in CGAL and Boost
include_directories( SYSTEM 
	${CGAL_INCLUDE_DIRS}
	${Boost_INCLUDE_DIRS}	
	${MPFR_INCLUDE_DIRS}	
	${GMP_INCLUDE_DIRS}	
)
link_directories(
	${CGAL_LIBRARY_DIRS}
	${Boost_LIBRARY_DIRS}	
	${MPFR_LIBRARY_DIRS}	
	${GMP_LIBRARY_DIRS}	
)

#-- optional OpenSceneGraph support
if ( SFCGAL_BUILD_VIEWER )
	find_package( OpenSceneGraph COMPONENTS osgDB osgUtil REQUIRED )
	include_directories( SYSTEM ${OPENSCENEGRAPH_INCLUDE_DIRS} ) 
	
	# config.h generation
	set( SFCGAL_WITH_OSG "ON" )
	add_subdirectory( viewer )
endif()



#-- Warnings, frounding-math and gprof  ------------------------------------------
option( SFCGAL_WARNING_AS_ERROR "fail the build on warnings" OFF )
option( SFCGAL_BUILD_WITH_GPROF "build with gprof" OFF )
if(MSVC)
	# Force to always compile with W4
	if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
		string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
	else()
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
	endif()
elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
	# Update if necessary
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-long-long -pedantic -Wpointer-arith -Wcast-align -Wcast-qual -Wno-overloaded-virtual -Wformat=2 -Winit-self -Wmissing-include-dirs -Wwrite-strings -Wno-error=undef")#-Wfloat-equal -Wconversion -Wshadow 
    if( SFCGAL_WARNING_AS_ERROR )
		 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wno-error=format")
	endif()

	# Allows profiling with gprof
	if(SFCGAL_BUILD_WITH_GPROF)
		set(CMAKE_EXE_LINKER_FLAGS_DEBUG "-pg")
	endif()
endif()


if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
  set(_LIBDIR_DEFAULT "lib")
  # Override this default 'lib' with 'lib64' iff:
  #  - we are on Linux system but NOT cross-compiling
  #  - we are NOT on debian
  #  - we are on a 64 bits system
  # reason is: amd64 ABI: http://www.x86-64.org/documentation/abi.pdf
  # Note that the future of multi-arch handling may be even
  # more complicated than that: http://wiki.debian.org/Multiarch
  if(CMAKE_SYSTEM_NAME MATCHES "Linux"
      AND NOT CMAKE_CROSSCOMPILING
      AND NOT EXISTS "/etc/debian_version")
    if(NOT DEFINED CMAKE_SIZEOF_VOID_P)
      message(AUTHOR_WARNING
        "Unable to determine default CMAKE_INSTALL_LIBDIR directory because no target architecture is known. "
        "Please enable at least one language before including GNUInstallDirs.")
    else()
      if("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
        set(_LIBDIR_DEFAULT "lib64")
      endif()
    endif()
  endif()
  set(CMAKE_INSTALL_LIBDIR "${_LIBDIR_DEFAULT}" CACHE PATH "object code libraries (${_LIBDIR_DEFAULT})")
endif()

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
#SET(CMAKE_MACOSX_RPATH ON)

#-- generate library headers
configure_file( ${CMAKE_SOURCE_DIR}/src/config.h.cmake include/SFCGAL/config.h )
configure_file( ${CMAKE_SOURCE_DIR}/src/version.h.cmake include/SFCGAL/version.h )

enable_testing()

#note : not available on windows without export/import
OPTION( SFCGAL_USE_STATIC_LIBS "define if SFCGAL is build as a static library" OFF )

# option : do we check geometry validity before each processing ?
option( SFCGAL_CHECK_VALIDITY "Always checks geometry validity" ON )
if ( NOT SFCGAL_CHECK_VALIDITY )
  add_definitions( "-DSFCGAL_NEVER_CHECK_VALIDITY" )
endif()

#-- build the library
add_subdirectory( src )

#-- build test (todo only if boost use dyn link)
add_subdirectory( test )

#-- build examples
if( SFCGAL_BUILD_EXAMPLES )
	add_subdirectory( example )
endif()

#-- doxygen documentation (allows make doc when doxygen is found)
add_subdirectory( doc )

#-- install directories
install(DIRECTORY ${CMAKE_BINARY_DIR}/include DESTINATION .)


#-- create a libtool file for SFCGAL (needed by PostGIS)
create_libtool_file( SFCGAL /lib )

#-- sfcgal-config
if ( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" )
  set( SFCGAL_LIB_NAME "SFCGAL${CMAKE_DEBUG_POSTFIX}" )
else()
  set( SFCGAL_LIB_NAME "SFCGAL" )
endif()
#set( SFCGAL_LIB_NAME ${${CMAKE_BUILD_TYPE}
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sfcgal-config.in ${CMAKE_CURRENT_BINARY_DIR}/sfcgal-config @ONLY)
install( PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/sfcgal-config DESTINATION bin )

=== test/CMakeLists.txt ===
#-- configure tests
set( SFCGAL_TEST_DIRECTORY "${CMAKE_SOURCE_DIR}/test" )
configure_file( ${SFCGAL_TEST_DIRECTORY}/test_config.h.cmake ${SFCGAL_TEST_DIRECTORY}/test_config.h )

if(CMAKE_COMPILER_IS_GNUCXX)
  add_definitions( "-frounding-math" )
  
endif(CMAKE_COMPILER_IS_GNUCXX)

#-- build regression tests
if( SFCGAL_BUILD_TESTS )
	add_subdirectory( unit )
	add_subdirectory( regress )
    add_subdirectory( garden )
endif()

if( SFCGAL_BUILD_BENCH )
	add_subdirectory( bench )
endif()

if(CMAKE_SYSTEM_NAME MATCHES "Linux")
    add_test( style-test ${CMAKE_SOURCE_DIR}/script/test-style-SFCGAL.sh )
endif()

=== example/CGAL-basic_manip/CMakeLists.txt ===
GET_FILENAME_COMPONENT( EXAMPLE_NAME ${CMAKE_CURRENT_SOURCE_DIR} NAME )
add_executable( example-${EXAMPLE_NAME} 
	main.cpp 
)
target_link_libraries( example-${EXAMPLE_NAME} 
	SFCGAL
	${CGAL_LIBRARIES}
	${MPFR_LIBRARIES} 
	${GMP_LIBRARIES}
	${Boost_LIBRARIES}
)
set_target_properties( example-${EXAMPLE_NAME} PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS example-${EXAMPLE_NAME} DESTINATION bin )

=== test/garden/CMakeLists.txt ===
#-- polygon_triangulator test
file( GLOB_RECURSE SFCGAL_REGRESS_GARDEN_TEST_SOURCES *.cpp )

set( REGRESS_NAME garden-test-SFCGAL )
add_executable( ${REGRESS_NAME} ${SFCGAL_REGRESS_GARDEN_TEST_SOURCES} )

target_link_libraries( ${REGRESS_NAME}
	SFCGAL
	${Boost_LIBRARIES}
	${CGAL_LIBRARIES}
)
if( ${SFCGAL_WITH_MPFR} )
  target_link_libraries( ${REGRESS_NAME} ${MPFR_LIBRARIES} )
endif( ${SFCGAL_WITH_MPFR} )

set_target_properties( ${REGRESS_NAME} PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS ${REGRESS_NAME} DESTINATION bin )

if (CMAKE_BUILD_TYPE STREQUAL "Debug" )
    add_test( garden-testd ${CMAKE_CURRENT_BINARY_DIR}/garden-test-SFCGALd )
else()
    add_test( garden-test ${CMAKE_CURRENT_BINARY_DIR}/garden-test-SFCGAL )
endif()

=== test/unit/CMakeLists.txt ===
#-- build unit tests
file( GLOB_RECURSE SFCGAL_UNIT_TEST_SOURCES *.cpp )
add_executable( unit-test-SFCGAL ${SFCGAL_UNIT_TEST_SOURCES} )
target_link_libraries( unit-test-SFCGAL 
	SFCGAL
	${Boost_LIBRARIES}
	${CGAL_LIBRARIES}
)
if( ${SFCGAL_WITH_MPFR} )
  target_link_libraries( unit-test-SFCGAL ${MPFR_LIBRARIES} ${GMP_LIBRARIES} )
endif( ${SFCGAL_WITH_MPFR} )


#include( PrecompiledHeader )
#if(PCHSupport_FOUND)
#  add_precompiled_header(unit-test-SFCGAL
#    ${CMAKE_CURRENT_SOURCE_DIR}/../../include/all.h
##    "-fPIC"
#    )
#endif()

set_target_properties( unit-test-SFCGAL PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS unit-test-SFCGAL DESTINATION bin )

if (CMAKE_BUILD_TYPE STREQUAL "Debug" )
    add_test( unit-testd ${CMAKE_CURRENT_BINARY_DIR}/unit-test-SFCGALd )
else()
    add_test( unit-test ${CMAKE_CURRENT_BINARY_DIR}/unit-test-SFCGAL )
endif()

=== test/regress/standalone/CMakeLists.txt ===
#-- standalone test
file( GLOB_RECURSE SFCGAL_REGRESS_STANDALONE_TEST_SOURCES *.cpp )
add_executable( standalone-regress-test-SFCGAL ${SFCGAL_REGRESS_STANDALONE_TEST_SOURCES} )

target_link_libraries( standalone-regress-test-SFCGAL 
	SFCGAL
	${Boost_LIBRARIES}
	${CGAL_LIBRARIES}
)
if( ${SFCGAL_WITH_MPFR} )
  target_link_libraries( standalone-regress-test-SFCGAL ${MPFR_LIBRARIES} )
endif( ${SFCGAL_WITH_MPFR} )

set_target_properties( standalone-regress-test-SFCGAL PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS standalone-regress-test-SFCGAL DESTINATION bin )

if (CMAKE_BUILD_TYPE STREQUAL "Debug" )
    add_test( standalone-regress-testd ${CMAKE_CURRENT_BINARY_DIR}/standalone-regress-test-SFCGALd )
else()
    add_test( standalone-regress-test ${CMAKE_CURRENT_BINARY_DIR}/standalone-regress-test-SFCGAL )
endif()

=== debian/changelog ===
sfcgal (1.1.0-5) unstable; urgency=medium

  * Team upload.

  [ Sven Geggus ]
  * Update symbols for other architectures

  [ Bas Couwenberg ]
  * Restructure control file with cme.
  * Update Vcs-Browser URL to use HTTPS.
  * Add upstream metadata.
  * Don't strip RPATH from sfcgal-config.
  * Rebuild for openscenegraph transition.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Sep 2015 17:57:44 +0200

sfcgal (1.1.0-4) unstable; urgency=medium

  * re-enable tests which work fine without CMAKE_SKIP_RPATH
  * remove rpath during install using chrpath instead
  * skip style-test using patch from upstream
  * Remove Multi-Arch option on libsfcgal-dev and sfcgal-bin (Closes: #794317)

 -- Sven Geggus <sven-debian@geggus.net>  Fri, 28 Aug 2015 16:37:16 +0200

sfcgal (1.1.0-3) unstable; urgency=medium

  * Make package build in unstable with boost 1.58 and gcc5
  * Change from Multi-Arch: same to foreign (Closes: #794317)
  * Update symbols for other architectures.

 -- Sven Geggus <sven-debian@geggus.net>  Thu, 27 Aug 2015 13:09:01 +0200

sfcgal (1.1.0-2) unstable; urgency=medium

  * Update symbols for other architectures to prepare for unstable

 -- Sven Geggus <sven-debian@geggus.net>  Fri, 31 Jul 2015 14:09:35 +0200

sfcgal (1.1.0-2~exp1) experimental; urgency=medium

  * use pkgkde-symbolshelper to handle C++ symbols

 -- Sven Geggus <sven-debian@geggus.net>  Wed, 29 Jul 2015 21:29:48 +0200

sfcgal (1.1.0-1) unstable; urgency=medium

  * Initial release (closes: #788560)

 -- Sven Geggus <sven-debian@geggus.net>  Tue, 09 Jun 2015 14:24:02 +0200

=== debian/control ===
Source: sfcgal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Sven Geggus <sven-debian@geggus.net>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libcgal-dev,
               libboost-all-dev,
               libmpfr-dev,
               libgmp-dev,
               libopenscenegraph-dev,
               libopenthreads-dev,
               libpq-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               pkg-kde-tools,
               chrpath
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/sfcgal.git/
Vcs-Git: git://anonscm.debian.org/pkg-grass/sfcgal.git
Homepage: http://www.sfcgal.org/

Package: libsfcgal1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for ISO 19107:2013 and OGC SFA 1.2 for 3D operations (runtime part)
 SFCGAL is a C++ wrapper library around CGAL with the aim of
 supporting ISO 19107:2013 and OGC Simple Features Access 1.2 for 3D
 operations.
 .
 SFCGAL provides standard compliant geometry types and operations,
 that can be accessed from its C or C++ APIs. PostGIS uses the C API,
 to expose some SFCGAL's functions in spatial databases (cf. PostGIS
 manual). 
 .
 This part is the runtime package of the library.

Package: libsfcgal-dev
Architecture: any
Section: libdevel
Depends: libsfcgal1 (= ${binary:Version}),
         ${misc:Depends}
Description: Library for ISO 19107:2013 and OGC SFA 1.2 for 3D operations (dev part)
 SFCGAL is a C++ wrapper library around CGAL with the aim of
 supporting ISO 19107:2013 and OGC Simple Features Access 1.2 for 3D
 operations.
 .
 SFCGAL provides standard compliant geometry types and operations,
 that can be accessed from its C or C++ APIs. PostGIS uses the C API,
 to expose some SFCGAL's functions in spatial databases (cf. PostGIS
 manual). 
 .
 This is the development package of the library.

Package: sfcgal-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Simple viewer for SFCGAL library
 viewer-SFCGAL is a  basic 3D viewer based on OpenSceneGraph.
 .
 A screencast available on the SFCGAL homepage:
 http://oslandia.github.io/SFCGAL/screencast.html
 shows how it can be used to make it interact with a PostGIS
 database.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1

UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_BUILD_HARDENING = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@ --with pkgkde_symbolshelper --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DSFCGAL_BUILD_VIEWER=ON \
        -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DSFCGAL_BUILD_TESTS=ON -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

override_dh_install:	
	# removing embedded rpath in binaries
	-find $(CURDIR)/debian/tmp/usr/bin -type f -not -name sfcgal-config -exec chrpath --delete {} \;

	# removing embedded rpath in libraries
	-find $(CURDIR)/debian/tmp/usr/lib -name "*.so*" -type f -exec chrpath --delete {} \;

	dh_install --list-missing
	
override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

## sfcgal 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules;${CMAKE_MODULE_PATH}" )
 
 set( SFCGAL_VERSION_MAJOR 1 )
-set( SFCGAL_VERSION_MINOR 1 )
+set( SFCGAL_VERSION_MINOR 2 )
 set( SFCGAL_VERSION_PATCH 0 )
 
 set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )
@@ -72,7 +72,10 @@
 	set( SFCGAL_Boost_COMPONENTS program_options chrono filesystem timer ${SFCGAL_Boost_COMPONENTS} )
 endif()
 find_package( Boost COMPONENTS ${SFCGAL_Boost_COMPONENTS} REQUIRED )
-
+if((${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} EQUAL 58))
+	message( STATUS "Defining BOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT" )
+	add_definitions( "-DBOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT" )
+endif()
 
 #-- GMP (facultative)  -------------------------------------
 find_package( GMP )
@@ -106,7 +109,7 @@
 	add_definitions( "-DCGAL_NO_AUTOLINK" )
 endif()
 
-find_package( CGAL 4.1 COMPONENTS Core REQUIRED )
+find_package( CGAL 4.3 COMPONENTS Core REQUIRED )
 message( STATUS "CGAL ${CGAL_VERSION} found" )
 
 include_directories( ${CMAKE_BINARY_DIR}/include )

=== src/CMakeLists.txt ===
file( GLOB_RECURSE SFCGAL_SOURCES "*.cpp" )
file( GLOB_RECURSE SFCGAL_HEADERS "*.h" )

file( GLOB_RECURSE SFCGAL_HEADERS_COPIED RELATIVE ${CMAKE_SOURCE_DIR}/src "*.h" )
add_custom_target(copy)
foreach (header ${SFCGAL_HEADERS_COPIED})
    add_custom_command(TARGET copy
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_SOURCE_DIR}/src/${header} ${CMAKE_BINARY_DIR}/include/SFCGAL/${header} DEPENDS ${CMAKE_SOURCE_DIR}/src/${header})
endforeach()

if ( NOT SFCGAL_WITH_OSG )
    message( STATUS "removing ${CMAKE_SOURCE_DIR}/src/io/osg.h and ${CMAKE_SOURCE_DIR}/src/SFCGAL/io/osg.cpp from the library")
    list(REMOVE_ITEM SFCGAL_HEADERS "${CMAKE_SOURCE_DIR}/src/io/osg.h")
    list(REMOVE_ITEM SFCGAL_SOURCES "${CMAKE_SOURCE_DIR}/src/io/osg.cpp")
endif()

if( SFCGAL_USE_STATIC_LIBS )
  add_definitions( "-fPIC" )
  add_library(
    SFCGAL
    ${SFCGAL_HEADERS}
    ${SFCGAL_SOURCES}
    )

else()
  add_definitions( "-DSFCGAL_BUILD_SHARED" )
  add_library(
    SFCGAL SHARED
    ${SFCGAL_HEADERS}
    ${SFCGAL_SOURCES}
    )
endif()

add_dependencies( SFCGAL copy )

# set VERSION and SOVERSION
set_target_properties( SFCGAL PROPERTIES VERSION ${SFCGAL_VERSION}
                                         SOVERSION ${SFCGAL_VERSION_MAJOR} )

target_link_libraries( SFCGAL ${CGAL_LIBRARIES} )
if( ${SFCGAL_WITH_MPFR} )
	target_link_libraries( SFCGAL ${MPFR_LIBRARIES} )
endif( ${SFCGAL_WITH_MPFR} )

if( ${SFCGAL_WITH_GMP} )
	target_link_libraries( SFCGAL ${GMP_LIBRARIES} )
endif( ${SFCGAL_WITH_GMP} )

if( ${SFCGAL_WITH_OSG} )
	 target_link_libraries( SFCGAL ${OPENSCENEGRAPH_LIBRARIES} )
endif()
target_link_libraries( SFCGAL ${Boost_LIBRARIES} )

if ( ${Use_precompiled_headers} )
  if(PCHSupport_FOUND)
    # Add "-fPIC" for shared library build
    if( ${SFCGAL_USE_STATIC_LIBS} )
      set( pch_option "" )
    else()
      set( pch_option "-fPIC" )
    endif()
    add_precompiled_header(SFCGAL
      include/CGAL/all.h
      ${pch_option}
      )
  endif()
endif()

# install library
install(
	TARGETS
	SFCGAL
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	BUNDLE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

=== test/garden/CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,9 @@
 install( TARGETS ${REGRESS_NAME} DESTINATION bin )
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug" )
-    add_test( garden-testd ${CMAKE_CURRENT_BINARY_DIR}/garden-test-SFCGALd )
+    add_test( garden-testd ${CMAKE_CURRENT_BINARY_DIR}/garden-test-SFCGALd --verbose)
 else()
-    add_test( garden-test ${CMAKE_CURRENT_BINARY_DIR}/garden-test-SFCGAL )
+    add_test( garden-test ${CMAKE_CURRENT_BINARY_DIR}/garden-test-SFCGAL --verbose)
 endif()

=== test/regress/polygon_triangulator/CMakeLists.txt ===
#-- polygon_triangulator test
file( GLOB_RECURSE SFCGAL_REGRESS_POLYGON_TRIANGULATOR_TEST_SOURCES *.cpp )

set( REGRESS_NAME test-regress-polygon_triangulator )
add_executable( ${REGRESS_NAME} ${SFCGAL_REGRESS_POLYGON_TRIANGULATOR_TEST_SOURCES} )

target_link_libraries( ${REGRESS_NAME}
	SFCGAL
	${Boost_LIBRARIES}
	${CGAL_LIBRARIES}
)
if( ${SFCGAL_WITH_MPFR} )
  target_link_libraries( ${REGRESS_NAME} ${MPFR_LIBRARIES} )
endif( ${SFCGAL_WITH_MPFR} )

set_target_properties( ${REGRESS_NAME} PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS ${REGRESS_NAME} DESTINATION bin )

=== debian/changelog ===
sfcgal (1.2.1-1) unstable; urgency=medium

  * Update symbols for other architectures
  * Move from experimental to unstable.

 -- Sven Geggus <sven-debian@geggus.net>  Fri, 13 Nov 2015 13:03:39 +0100

sfcgal (1.2.1-1~exp1) experimental; urgency=medium

  [ Sven Geggus ]
  * Update SFCGAL 1.2.0 symbols for other architectures.
  * New upstream release (Closes: #804589)

  [ Bas Couwenberg ]
  * Update SFCGAL 1.2.1 symbols for amd64.

 -- Sven Geggus <sven-debian@geggus.net>  Tue, 10 Nov 2015 19:18:19 +0100

sfcgal (1.2.0-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Sven Geggus ]
  * New upstream release.

  [ Bas Couwenberg ]
  * Update copyright file, add copyright holders for new files.
  * Install NEWS file as upstream changelog.
  * Use -DCMAKE_BUILD_TYPE=RelWithDebInfo instead of None.
  * Update symbols for amd64.
  * Explicitly remove .la files, not installed.
  * Explicitly remove test executables, not installed.
  * Add sfcgal-dbg package for debug symbols.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Oct 2015 18:22:49 +0200

sfcgal (1.1.0-6) unstable; urgency=medium

  * Update symbols for mips(el) and armhf

 -- Sven Geggus <sven-debian@geggus.net>  Fri, 18 Sep 2015 16:56:44 +0200

## sfcgal 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 set( SFCGAL_VERSION_MAJOR 1 )
 set( SFCGAL_VERSION_MINOR 2 )
-set( SFCGAL_VERSION_PATCH 0 )
+set( SFCGAL_VERSION_PATCH 2 )
 
 set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )

=== example/CMakeLists.txt ===
add_subdirectory( CGAL-basic_manip )
add_subdirectory( CGAL-cartesian_kernel )
add_subdirectory( CGAL-point_generator )
add_subdirectory( CGAL-triangulation2 )
add_subdirectory( CGAL-polygon_triangulation2 )
add_subdirectory( SFCGAL-offset )

if ( SFCGAL_WITH_OSG )
	add_subdirectory( SFCGAL-export-osg )
	add_subdirectory( SFCGAL-asc2osg )
	add_subdirectory( SFCGAL-building )
endif()

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,5 @@
 	add_subdirectory( bench )
 endif()
 
-if(CMAKE_SYSTEM_NAME MATCHES "Linux")
-    add_test( style-test ${CMAKE_SOURCE_DIR}/script/test-style-SFCGAL.sh )
-endif()
-  
-
-
-
-
+# add a custom rule "check" that adds verbosity to ctest
+add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --verbose)

=== viewer/CMakeLists.txt ===
find_package( Qt4 COMPONENTS QtGui QtCore REQUIRED )
find_package( OpenSceneGraph COMPONENTS osgQt osgViewer osgGA osgDB osgUtil REQUIRED )
find_package( PostgreSQL REQUIRED )

include_directories(
        include
        # postgresql
        ${POSTGRESQL_INCLUDE_DIR}
        ${QT_INCLUDES} 
        ${OPENSCENEGRAPH_INCLUDE_DIRS} 
)

file( GLOB_RECURSE VIEWER_SFCGAL_HEADERS ./*.h )
file( GLOB_RECURSE VIEWER_SFCGAL_HEADERS_MOC ./include/SFCGAL/*.h )
file( GLOB_RECURSE VIEWER_SFCGAL_SOURCES ./*.cpp )

QT4_WRAP_CPP(VIEWER_SFCGAL_MOC ${VIEWER_SFCGAL_HEADERS_MOC})

add_executable( viewer-SFCGAL 
        ${VIEWER_SFCGAL_HEADERS}
        ${VIEWER_SFCGAL_SOURCES}
        ${VIEWER_SFCGAL_MOC}
)

set(QT_LIBRARIES QtCore QtGui)
set_target_properties( viewer-SFCGAL PROPERTIES DEBUG_POSTFIX "d" )
target_link_libraries( viewer-SFCGAL
        SFCGAL
        ${OPENSCENEGRAPH_LIBRARIES}  
        ${QT_LIBRARIES}
        ${CGAL_LIBRARIES}
        ${Boost_LIBRARIES}
        ${MPFR_LIBRARIES}
        ${GMP_LIBRARIES}
        # Postgresql
        pq
)
install( TARGETS viewer-SFCGAL DESTINATION bin )

=== example/SFCGAL-asc2osg/CMakeLists.txt ===
GET_FILENAME_COMPONENT( EXAMPLE_NAME ${CMAKE_CURRENT_SOURCE_DIR} NAME )
add_executable( example-${EXAMPLE_NAME} 
	main.cpp 
)
target_link_libraries( example-${EXAMPLE_NAME} 
	SFCGAL
	${CGAL_LIBRARIES}
	${MPFR_LIBRARIES} 
	${GMP_LIBRARIES}
	${OPENSCENEGRAPH_LIBRARIES}
	${Boost_LIBRARIES}
)
set_target_properties( example-${EXAMPLE_NAME} PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS example-${EXAMPLE_NAME} DESTINATION bin )

=== example/SFCGAL-building/CMakeLists.txt ===
GET_FILENAME_COMPONENT( EXAMPLE_NAME ${CMAKE_CURRENT_SOURCE_DIR} NAME )
add_executable( example-${EXAMPLE_NAME} 
	main.cpp 
)
target_link_libraries( example-${EXAMPLE_NAME} 
	SFCGAL
	${CGAL_LIBRARIES}
	${MPFR_LIBRARIES} 
	${GMP_LIBRARIES}
	${Boost_LIBRARIES}
)
if(SFCGAL_WITH_OSG)
	target_link_libraries( example-${EXAMPLE_NAME}
		${OPENSCENEGRAPH_LIBRARIES}
	)
endif()
set_target_properties( example-${EXAMPLE_NAME} PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS example-${EXAMPLE_NAME} DESTINATION bin )

=== test/bench/CMakeLists.txt ===
file( GLOB SFCGAL_BENCHS_SOURCES *.cpp )
add_executable( bench-SFCGAL ${SFCGAL_BENCHS_SOURCES} )
target_link_libraries( bench-SFCGAL
       SFCGAL
       ${Boost_LIBRARIES}
       ${CGAL_LIBRARIES}
)
if( SFCGAL_WITH_MPFR )
	target_link_libraries( bench-SFCGAL ${MPFR_LIBRARIES} ${GMP_LIBRARIES} )
endif()
set_target_properties( bench-SFCGAL PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS bench-SFCGAL DESTINATION bin )

=== test/regress/convex_hull/CMakeLists.txt ===
#-- polygon_triangulator test
file( GLOB_RECURSE SFCGAL_REGRESS_CONVEX_HULL_TEST_SOURCES *.cpp )

set( REGRESS_NAME test-regress-convex_hull )
add_executable( ${REGRESS_NAME} ${SFCGAL_REGRESS_CONVEX_HULL_TEST_SOURCES} )

target_link_libraries( ${REGRESS_NAME}
	SFCGAL
	${Boost_LIBRARIES}
	${CGAL_LIBRARIES}
)
if( ${SFCGAL_WITH_MPFR} )
  target_link_libraries( ${REGRESS_NAME} ${MPFR_LIBRARIES} )
endif( ${SFCGAL_WITH_MPFR} )

set_target_properties( ${REGRESS_NAME} PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS ${REGRESS_NAME} DESTINATION bin )

=== test/regress/standalone/CMakeLists.txt ===
--- 
+++ 
@@ -15,9 +15,9 @@
 install( TARGETS standalone-regress-test-SFCGAL DESTINATION bin )
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug" )
-    add_test( standalone-regress-testd ${CMAKE_CURRENT_BINARY_DIR}/standalone-regress-test-SFCGALd )
+    add_test( standalone-regress-testd ${CMAKE_CURRENT_BINARY_DIR}/standalone-regress-test-SFCGALd --auto_start_dbg=y --log_level=all)
 else()
-    add_test( standalone-regress-test ${CMAKE_CURRENT_BINARY_DIR}/standalone-regress-test-SFCGAL )
+    add_test( standalone-regress-test ${CMAKE_CURRENT_BINARY_DIR}/standalone-regress-test-SFCGAL --auto_start_dbg=y --log_level=all)
 endif()

=== debian/changelog ===
sfcgal (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Dec 2015 23:43:12 +0100

sfcgal (1.2.2-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Sven Geggus ]
  * Update symbols for other architectures

  [ Bas Couwenberg ]
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Nov 2015 12:03:49 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
 
 Package: libsfcgal1
 Architecture: any
-Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -68,3 +67,22 @@
  http://oslandia.github.io/SFCGAL/screencast.html
  shows how it can be used to make it interact with a PostGIS
  database.
+
+Package: sfcgal-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: libsfcgal1 (= ${binary:Version}),
+         sfcgal-bin (= ${binary:Version}),
+         ${misc:Depends}
+Description: Debug symbols for SFCGAL
+ SFCGAL is a C++ wrapper library around CGAL with the aim of
+ supporting ISO 19107:2013 and OGC Simple Features Access 1.2 for 3D
+ operations.
+ .
+ SFCGAL provides standard compliant geometry types and operations,
+ that can be accessed from its C or C++ APIs. PostGIS uses the C API,
+ to expose some SFCGAL's functions in spatial databases (cf. PostGIS
+ manual). 
+ .
+ This provides debug symbols for SFCGAL.

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,13 @@
 	dh $@ --with pkgkde_symbolshelper --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DSFCGAL_BUILD_VIEWER=ON \
-        -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=ON \
-        -DSFCGAL_BUILD_TESTS=ON -DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- \
+		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
+		-DCMAKE_VERBOSE_MAKEFILE=ON \
+		-DSFCGAL_BUILD_TESTS=ON \
+		-DSFCGAL_BUILD_VIEWER=ON
 
 override_dh_install:	
 	# removing embedded rpath in binaries
@@ -27,8 +31,20 @@
 	# removing embedded rpath in libraries
 	-find $(CURDIR)/debian/tmp/usr/lib -name "*.so*" -type f -exec chrpath --delete {} \;
 
+	# Remove .la files
+	$(RM) $(CURDIR)/debian/tmp/usr/lib/libSFCGAL.la
+
+	# Remove test executables
+	$(RM) $(CURDIR)/debian/tmp/usr/bin/*test*
+
 	dh_install --list-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 	
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)
 
+override_dh_strip:
+	dh_strip --dbg-package=sfcgal-dbg
+

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*)?v(\d[\d\.]*)\.tar\.gz/SFCGAL-$1.tar.gz/ \
https://github.com/Oslandia/SFCGAL/releases \
(?:.*/)?(?:rel|v|SFCGAL)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sfcgal 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,14 +17,13 @@
 option( SFCGAL_BUILD_EXAMPLES "build examples" OFF )
 option( SFCGAL_BUILD_TESTS "build unit, garden and regress tests" OFF )
 option( SFCGAL_BUILD_BENCH "Build benchmarks" OFF )
-option( SFCGAL_BUILD_VIEWER "build viewer and OpenSceneGraph support (outputs in 3D formats)" OFF )
 
 #-- include finders and co
 set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules;${CMAKE_MODULE_PATH}" )
 
 set( SFCGAL_VERSION_MAJOR 1 )
-set( SFCGAL_VERSION_MINOR 2 )
-set( SFCGAL_VERSION_PATCH 2 )
+set( SFCGAL_VERSION_MINOR 3 )
+set( SFCGAL_VERSION_PATCH 0 )
 
 set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )
 
@@ -68,13 +67,17 @@
 	set( SFCGAL_Boost_COMPONENTS unit_test_framework program_options ${SFCGAL_Boost_COMPONENTS} )
 endif()
 #-- program_options
-if ( SFCGAL_BUILD_TESTS OR SFCGAL_BUILD_EXAMPLES OR SFCGAL_BUILD_OSG OR SFCGAL_BUILD_VIEWER )
+if ( SFCGAL_BUILD_TESTS OR SFCGAL_BUILD_EXAMPLES OR SFCGAL_BUILD_OSG )
 	set( SFCGAL_Boost_COMPONENTS program_options chrono filesystem timer ${SFCGAL_Boost_COMPONENTS} )
 endif()
 find_package( Boost COMPONENTS ${SFCGAL_Boost_COMPONENTS} REQUIRED )
 if((${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} EQUAL 58))
 	message( STATUS "Defining BOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT" )
 	add_definitions( "-DBOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT" )
+endif()
+# patch boost 1.60.0      
+if((${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} EQUAL 60) AND (${Boost_SUBMINOR_VERSION} EQUAL 0))
+  include_directories( patches/boost-1.60.0 )
 endif()
 
 #-- GMP (facultative)  -------------------------------------
@@ -136,18 +139,6 @@
 	${MPFR_LIBRARY_DIRS}	
 	${GMP_LIBRARY_DIRS}	
 )
-
-#-- optional OpenSceneGraph support
-if ( SFCGAL_BUILD_VIEWER )
-	find_package( OpenSceneGraph COMPONENTS osgDB osgUtil REQUIRED )
-	include_directories( SYSTEM ${OPENSCENEGRAPH_INCLUDE_DIRS} ) 
-	
-	# config.h generation
-	set( SFCGAL_WITH_OSG "ON" )
-	add_subdirectory( viewer )
-endif()
-
-
 
 #-- Warnings, frounding-math and gprof  ------------------------------------------
 option( SFCGAL_WARNING_AS_ERROR "fail the build on warnings" OFF )
@@ -211,12 +202,6 @@
 #note : not available on windows without export/import
 OPTION( SFCGAL_USE_STATIC_LIBS "define if SFCGAL is build as a static library" OFF )
 
-# option : do we check geometry validity before each processing ?
-option( SFCGAL_CHECK_VALIDITY "Always checks geometry validity" ON )
-if ( NOT SFCGAL_CHECK_VALIDITY )
-  add_definitions( "-DSFCGAL_NEVER_CHECK_VALIDITY" )
-endif()
-
 #-- build the library
 add_subdirectory( src )

=== debian/changelog ===
sfcgal (1.3.0-4build2) zesty; urgency=medium

  * Rebuild against latest gdal.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Nov 2016 11:50:02 +0100

sfcgal (1.3.0-4build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:06:27 +0000

sfcgal (1.3.0-4) unstable; urgency=medium

  * Drop i386-ftbfs.patch, did not fix FTBFS on i386.
  * Skip tests on i386 architectures, causes FTBFS.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Aug 2016 16:45:19 +0200

sfcgal (1.3.0-3) unstable; urgency=medium

  * Add patch by Dimitri John Ledkov to fix FTBFS on i386.
    (LP: #1610076)
  * Update symbols for amd64 & i386.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Aug 2016 14:11:19 +0200

sfcgal (1.3.0-2) unstable; urgency=medium

  * Fix hardening flags via DEB_BUILD_MAINT_OPTIONS.
  * Skip tests on alpha, terminated after timeout.
  * Ignore test failures on mips{,el}, test times too long.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 May 2016 11:44:55 +0200

sfcgal (1.3.0-2~exp1) experimental; urgency=medium

  * Add patch to enable OpenSceneGraph support when available.
  * Bump Standards-Version to 3.9.8, no changes.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 May 2016 17:40:40 +0200

sfcgal (1.3.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Drop viewer-SFCGAL manpage, viewer removed upstream.
  * Update watch file to support other tar extensions in filenamemangle.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 06 Mar 2016 17:35:54 +0100

sfcgal (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Drop sfcgal-bin package, viewer removed upstream.
  * Update copyright file, add license & copyright for Boost patch.
  * Bump Standards-Version to 3.9.7, no changes.
  * Add myself to Uploaders.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 04 Mar 2016 02:16:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: sfcgal
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Sven Geggus <sven-debian@geggus.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Sven Geggus <sven-debian@geggus.net>,
+           Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -11,14 +13,11 @@
                libgmp-dev,
                libopenscenegraph-dev,
                libopenthreads-dev,
-               libpq-dev,
-               libqt4-dev,
-               libqt4-opengl-dev,
                pkg-kde-tools,
                chrpath
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/sfcgal.git/
-Vcs-Git: git://anonscm.debian.org/pkg-grass/sfcgal.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/sfcgal.git
 Homepage: http://www.sfcgal.org/
 
 Package: libsfcgal1
@@ -56,24 +55,11 @@
  .
  This is the development package of the library.
 
-Package: sfcgal-bin
-Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Description: Simple viewer for SFCGAL library
- viewer-SFCGAL is a  basic 3D viewer based on OpenSceneGraph.
- .
- A screencast available on the SFCGAL homepage:
- http://oslandia.github.io/SFCGAL/screencast.html
- shows how it can be used to make it interact with a PostGIS
- database.
-
 Package: sfcgal-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Depends: libsfcgal1 (= ${binary:Version}),
-         sfcgal-bin (= ${binary:Version}),
          ${misc:Depends}
 Description: Debug symbols for SFCGAL
  SFCGAL is a C++ wrapper library around CGAL with the aim of

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,11 @@
 DH_VERBOSE = 1
 
 UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DEB_BUILD_HARDENING = 1
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/default.mk
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # main packaging script based on dh7 syntax
 %:
@@ -21,8 +19,16 @@
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_VERBOSE_MAKEFILE=ON \
-		-DSFCGAL_BUILD_TESTS=ON \
-		-DSFCGAL_BUILD_VIEWER=ON
+		-DSFCGAL_BUILD_TESTS=ON
+
+override_dh_auto_test:
+ifneq (,$(findstring $(DEB_BUILD_ARCH),"alpha i386 kfreebsd-i386 hurd-i386"))
+	# Skip tests
+else ifneq (,$(findstring $(DEB_BUILD_ARCH),"mips mipsel"))
+	dh_auto_test || echo "Ignoring test failures"
+else
+	dh_auto_test
+endif
 
 override_dh_install:	
 	# removing embedded rpath in binaries
